<?php require_once('../Connections/cn_conexion.php'); ?>
<?php include_once('../includes/funciones.php');?>

<?php
$cliente=$_GET["nomcliente"];
?>
<?php
if (!function_exists("GetSQLValueString")) {
function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  if (PHP_VERSION < 6) {
    $theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;
  }

  $theValue = function_exists("mysql_real_escape_string") ? mysql_real_escape_string($theValue) : mysql_escape_string($theValue);

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? doubleval($theValue) : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}
}

mysql_select_db($database_cn_conexion, $cn_conexion);
$query_rs_cajagastos = "SELECT *, SUM(gastos.monto_real) FROM caja_gastos, gastos, clientes WHERE caja_gastos.id_cliente=gastos.id_cliente AND gastos.num_caja=caja_gastos.num_caja AND clientes.id_cliente=caja_gastos.id_cliente AND clientes.id_cliente=gastos.id_cliente  AND clientes.nom_cliente like '%".$cliente."%' GROUP BY gastos.num_caja ORDER BY caja_gastos.num_caja DESC";
$rs_cajagastos = mysql_query($query_rs_cajagastos, $cn_conexion) or die(mysql_error());
$row_rs_cajagastos = mysql_fetch_assoc($rs_cajagastos);
$totalRows_rs_cajagastos = mysql_num_rows($rs_cajagastos);
?>
<?php 
if($totalRows_rs_cajagastos>0){
?>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="11%" bgcolor="#000066" class="texto_normal">CAJA</td>
    <td width="48%" bgcolor="#000066" class="texto_normal">CLIENTE</td>
    <td width="19%" align="center" bgcolor="#000066" class="texto_normal">MONTO</td>
    <td width="22%" align="center" bgcolor="#000066" class="texto_normal">CIERRE</td>
  </tr>
  <?php $i=1;?>
  <?php do { ?>
  <?php 
				$res=$i%2;
				if($res==0){
					$color="#CDEBFC";
					}else{
						$color="#ffffff";
						}
				if($row_rs_cajagastos['hab_cajagasto']=='0'){
				$classe_colortexto="enlace_cancelar";
					$clase_texto='class="texto_cancelar"';
					}else{
						$classe_colortexto="enlace_normal";
						$clase_texto="";
						}
			?>
  <tr>
    <td style="background-color:<?php echo($color);?>"><?php echo $row_rs_cajagastos['num_caja']; ?></td>
    <td height="20" style="background-color:<?php echo($color);?>"><p><a href="#" class="<?php echo($classe_colortexto);?>" onclick="detallecaja('<?php echo $row_rs_cajagastos['num_caja']; ?>')"><?php echo $row_rs_cajagastos['nom_cliente']; ?></a></p></td>
    <td align="right" style="background-color:<?php echo($color);?>"><?php $montogastos=round($row_rs_cajagastos['SUM(gastos.monto_real)'],2); echo(number_format(decimals($montogastos),2));?>
      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
    <td align="center" style="background-color:<?php echo($color);?>"><?php echo fecha_peru($row_rs_cajagastos['fecha_cierre']); ?></td>
  </tr>
  <?php $i++;?>
  <?php } while ($row_rs_cajagastos = mysql_fetch_assoc($rs_cajagastos)); ?>
</table>
<?php
}else{
	echo("<p>No hay cajas cerradas por el momento</p>");
	}
?>
<?php
mysql_free_result($rs_cajagastos);
?>
